Bug 49803 - Installed GRUB config disables itself
Installed GRUB config disables itself
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-23 23:39 EDT by Nitin Dahyabhai
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-26 12:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nitin Dahyabhai 2001-07-23 23:39:25 EDT
Description of problem:
If grub is installed onto the '/boot' partition on a dual boot system,
its use of the "makeactive" option on the other OS renders grub
disabled if the user ever starts the other OS.  The grub info page
says that this option isn't all that necessary anymore.

How reproducible: the one time I've tried it

Steps to Reproduce:
Install onto a machine with an existing non-Linux OS.

/dev/hda1: Win2K (anything non-Linux will probably work)
/dev/hda2: swap
/dev/hda3: /boot
/dev/hda5: /

Generated file:
# NOTICE:  You have a /boot partition.  This means that
#          all kernel paths are relative to /boot/
default=0
timeout=30
splashimage=(hd0,2)/grub/splash.xpm.gz
title Red Hat Linux (2.4.6-2)
	root (hd0,2)
	kernel /vmlinuz-2.4.6-2 ro root=/dev/hda5 hdd=none
	initrd /initrd-2.4.6-2.img
title Windows
	rootnoverify (hd0,0)
	makeactive
	chainloader +1
Comment 1 Jeremy Katz 2001-07-24 00:23:40 EDT
Chang
Comment 2 Jeremy Katz 2001-07-24 00:25:24 EDT
Where exactly in the info pages does it say not to use makeactive?  I'm not
seeing it with a quick double check of looking although I see multiple places
where it says to boot DOS/Windows that you should use makeactive.  I know we've
done some basic testing with a DOS partitions that have worked with this.
Comment 3 Nitin Dahyabhai 2001-07-25 23:50:31 EDT
Start with 'info grub', go to "General Boot Methods", "Chain-loading", and
then check the footnote referenced in step 2.  It says "This is not necessary
for most of the modern operating systems."

Frankly, I never had to do this with LILO to boot any previous versions of
Windows that I was forced to live with.  I just verified this on another
machine with Windows 2000 on /dev/hda1 and Red Hat 7.1 on /dev/hda2 .

When you did the tests with DOS partitions, was GRUB installed to the MBR?  I
would expect it to work correctly, then.
Comment 4 Jeremy Katz 2001-07-31 17:36:31 EDT
Hrmm...  it's still a bit unclear from the documentation to me, but I'm mostly
convinced by the discussion on testers-list and seeing that it still works in
the mbr without makeactive that it's at least not more incorrect.  Changed to
not use makeactive in cvs

Note You need to log in before you can comment on or make changes to this bug.